ConfigurationException (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.configuration, class: ConfigurationException

Package org.apache.cxf.configuration

# Class ConfigurationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.cxf.common.i18n.UncheckedException
org.apache.cxf.configuration.ConfigurationException

All Implemented Interfaces:
  `Serializable`

public class ConfigurationException extends UncheckedException

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.apache.cxf.common.i18n.UncheckedException

  `message`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConfigurationException(Throwable cause)`
  Constructs a `ConfigurationException` with the provided cause.
  `ConfigurationException(Message msg)`
  Constructs a `ConfigurationException` with the provided detail message.
  `ConfigurationException(Message msg, Throwable cause)`
  Constructs a `ConfigurationException` with the detail message and cause provided.

- ## Method Summary

  ### Methods inherited from class org.apache.cxf.common.i18n.UncheckedException

  `getCode, getMessage`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ConfigurationException

    public ConfigurationException(Message msg)
    Constructs a `ConfigurationException` with the provided detail message.

  - ### ConfigurationException

    public ConfigurationException(Message msg, Throwable cause)
    Constructs a `ConfigurationException` with the detail message and cause provided.

  - ### ConfigurationException

    public ConfigurationException(Throwable cause)
    Constructs a `ConfigurationException` with the provided cause.